#include "Logger.h"

#include <cstdio>
#include <cstdarg>

#define MAX_LOG_MESSAGE_LENGTH  2048

namespace Feather::Logging
{
    Channel LOG_GENERAL;

    Logger GlobalLogger;

    void Logger::LogDirect(Channel channel, Level level, const char *message, ...)
    {
        char buffer[MAX_LOG_MESSAGE_LENGTH];

        va_list args;
        va_start(args, message);
        vsnprintf(buffer, MAX_LOG_MESSAGE_LENGTH, message, args);
        va_end(args);

        printf(buffer);
    }
}